Subject: Re: su command ?
From: [email-masked] (Lars Munch)
To: [email-masked]
Cc: [email-masked]
Date: Wed, 29 Jan 2003 17:32:10 +0100

On Tue, Dec 24, 2002 at 01:54:23AM -0000, Chris January wrote:
> 
> > > 'su' is not implemented in cygwin (yet).  The closest you can get now is
> > > setting up sshd and using 'ssh user@localhost'.  There was some talk of
> > > one of the new packages having that functionality, but you'd
> > have to read
> > > the mailing list archives to verify that.
> > > 	Igor
> >
> > Well, actually, I made a search on su, but I didn't get any answer.
> > Thanks for yours. :-)
> See here for source and binary. Works on XP only. (Also works on Windows 2k,
> but you can't escalate priveleges - i.e. can't get Administrator from normal
> User account).
> 
> http://www.doc.ic.ac.uk/~ccj00/twiki/bin/view/Cygwin/CygwinSu
> 
> Chris

Hi Chris

I have just tried this on Windows XP as Administrator. I tried to su to
a normal user but got:

su: cannot run /bin/bash: Permission denied

This is with cygwin 1.3.19. I used the binary from your page.

Do your have any ideas?

Thanks a lot
Lars Munch

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/